/* kner 2013
   keyboard: two push-buttons deliver key values 0, 1, 2(both pressed), 3  
    5V
	 |
    | |1k       _ 
    |_|       --'-- S1
     |--------o   o------   
    | |1k       _        |_________ analogInPin  0V,1.6V,2.4V, 3,2V (measured) ==> 0,1,2,3 (key)
    |_|       --'-- S2   |   |
     |--------o   o------   | | 10k
    | |1k                   |_|
    |_|                      |
     |                      GND
    GND
    
   
   
*/


#define ARDUINO 100
#include "Arduino.h"

const int analogInPin = A0;  // Analog input pin that the potentiometer is attached to

int sensorValue = 0;        // value read from the pot

void setup() {
  Serial.begin(9600); 
}

uint8_t waitForKey(){
    delay(2);  //let the adc recreate
	sensorValue = 0; 
	while (sensorValue == 0){
	   sensorValue = analogRead(analogInPin);
	   delay(30);  //debounce
	}
	sensorValue = analogRead(analogInPin);
	return map(sensorValue, 0, 1023, 0, 5);
}
void loop() {
  uint8_t key = waitForKey(); 

  // print the results to the serial monitor:
  Serial.print("key = " );                       
  Serial.print(key);      
  delay(500);
}